%define url_ver	%(echo %{version} | cut -d. -f1,2)

# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Name:		xfce4-pulseaudio-plugin
Summary:	A panel plugin for controlling PulseAudio mixer
Version:	0.4.3
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		https://goodies.xfce.org/projects/panel-plugins/xfce4-pulseaudio-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	xfce4-dev-tools
BuildRequires:	git-core
BuildRequires:	intltool
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(exo-2)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(keybinder-3.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libpulse-mainloop-glib)
BuildRequires:	pkgconfig(libxfce4panel-2.0) >= 4.11.0
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.11.0
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfconf-0)
Requires:	xfce4-panel >= 4.11.0
Requires:	pavucontrol
# Replaces xfce4-mixer
Obsoletes:	xfce4-mixer < 4.11.0-5

%description
Xfce4-pulseaudio-plugin is a panel plugin for controlling an audio
output volume of the PulseAudio mixer.

%prep
%autosetup -p1 -Sgit_am

%build
%xdt_autogen
%configure \
	--enable-libnotify
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS README
%{_libdir}/xfce4/panel/plugins/libpulseaudio-plugin.so
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/xfce4/panel/plugins/pulseaudio.desktop


%changelog
* Sat Jul 04 2020 wally <wally> 0.4.3-2.mga8
+ Revision: 1601858
- rebuild with gtk3 only exo

* Sun Mar 29 2020 wally <wally> 0.4.3-1.mga8
+ Revision: 1562258
- new version 0.4.3

* Sat Feb 15 2020 umeabot <umeabot> 0.4.2-2.mga8
+ Revision: 1528182
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Aug 12 2019 wally <wally> 0.4.2-1.mga8
+ Revision: 1428922
- new version 0.4.2

* Sun Sep 23 2018 umeabot <umeabot> 0.4.1-2.mga7
+ Revision: 1301876
- Mageia 7 Mass Rebuild

* Fri Apr 13 2018 wally <wally> 0.4.1-1.mga7
+ Revision: 1218415
- new version 0.4.1

* Sat Mar 03 2018 wally <wally> 0.3.5-1.mga7
+ Revision: 1206195
- new version 0.3.5

* Thu Dec 07 2017 wally <wally> 0.3.4-1.mga7
+ Revision: 1181610
- new version 0.3.4

* Sat Dec 02 2017 wally <wally> 0.3.3-1.mga7
+ Revision: 1180720
- new version 0.3.3

* Sun Oct 29 2017 wally <wally> 0.3.2-1.mga7
+ Revision: 1174800
- new version 0.3.2

* Sat Sep 30 2017 wally <wally> 0.3.1-1.mga7
+ Revision: 1161981
- new version 0.3.1
- drop patches from upstream

* Tue May 30 2017 wally <wally> 0.2.5-1.mga6
+ Revision: 1105570
- new version 0.2.5
- add fixes from upstream GIT

* Wed Mar 01 2017 ghibo <ghibo> 0.2.4-3.mga6
+ Revision: 1088281
- Rebuilt against pulseaudio 10

* Tue Jan 05 2016 wally <wally> 0.2.4-2.mga6
+ Revision: 919888
- add patches from upstream git to not show notifications at start up (xfce#12313)

* Tue Oct 27 2015 wally <wally> 0.2.4-1.mga6
+ Revision: 895837
- new version 0.2.4

* Sun Jul 12 2015 wally <wally> 0.2.3-3.mga6
+ Revision: 853407
- enable libnotify support

* Sat Jul 11 2015 wally <wally> 0.2.3-2.mga6
+ Revision: 853292
- obsolete xfce4-mixer

* Sat Jun 20 2015 wally <wally> 0.2.3-1.mga6
+ Revision: 836166
- imported package xfce4-pulseaudio-plugin

